
struct PlayerInfo {
	int level;
	int score;
	PlayerInfo() : level(1), score(0), dead(false), failed(false), failedTime(0), 
		levelComplete(false),
		fuel(1000), maxfuel(1000) {};
	/* Used so we know when to restart the level. */
	bool dead;
	bool failed;
	int failedTime;
	bool levelComplete;
	int completeTime;
	int fuel;
	int maxfuel;
	
	void restartLevel() {
		failed = false;
		levelComplete = false;
		completeTime = 0;
		failedTime = 0;
		fuel = maxfuel;
		dead = false;
	}
	
};

extern PlayerInfo playerInfo;

