#include "leveldata.h"

/*

struct Point {
	float x;
	float y;
};

struct LevelData {
	int maxfuel;
	int numStars;
	int numGoals;
	
	Point [] stars;
	Point [] goals;
};

*/
const int NumLevels = 3;

const LevelData Levels[] = {
	{ // level 1 - training mission
		350, // fuel
		2, // num stars
		1, // num goals
		{ // stars
			{ 4.0, 4.0 },
			{ -4.0, 4.0 }
		},
		{ // goals
			{ 0.0, -4.0 }
		}
	},
	{ // level 2 - cross
		1500, // fuel
		6, // num stars
		6, // num goals
		{ // stars
			{ -6.5, 6.0 },
			{ -2.0, 6.8 },
			{ 2.0, 6.0 },
			{ -6.0, -6.5 },
			{ -2.5, -5.1 },
			{ 1.5, -6.0 },
		},
		{ // goals
			{ 0.0, 0.0 },
			{ 3.0, 0.0 },
			{ -3.0, 0.0 },
			{ 0.0, 3.0 },
			{ 0.0, -3.0 },
			{ 0.0, -6.0 }
		}
	},
	{ // level 3 - Christmas tree
		4000, // fuel
		12, // num stars
		12, // num goals
		{ // stars
			{ -6.5, 6.0 },
			{ -2.0, 6.8 },
			{ 2.0, 6.0 },
			{ -6.0, -6.5 },
			{ -2.5, -5.1 },
			{ 1.5, -6.0 },
			
			{ -16.5, 6.0 },
			{ -12.0, 6.8 },
			{ 12.0, 6.0 },
			{ -16.0, -6.5 },
			{ -12.5, -5.1 },
			{ 11.5, -6.0 },
		},
		{ // goals
			{ 0.0, 0.0 }, // 4x trunk
			{ 0.0, 4.0 },
			{ 0.0, 8.0 },
			{ 0.0, 12.0 }, 
			
			{ -3.0,9.0 }, // top branches
			{ -6.0,6.0 },
			{ 3.0,9.0 },
			{ 6.0,6.0 },
			
			{ -3.0,5.0 }, // bot. branches
			{ -6.0,3.0 },
			{ 3.0,5.0 },
			{ 6.0,3.0 }
		}
	}
};

	
		
		
